(function(){

/////////////////////////////////////////////////////////////////////////
//                                                                     //
// shared/testing.js                                                   //
//                                                                     //
/////////////////////////////////////////////////////////////////////////
                                                                       //
// Sandstorm - Personal Cloud Sandbox                                  //
// Copyright (c) 2014 Sandstorm Development Group, Inc. and contributors
// All rights reserved.                                                //
//                                                                     //
// Licensed under the Apache License, Version 2.0 (the "License");     //
// you may not use this file except in compliance with the License.    //
// You may obtain a copy of the License at                             //
//                                                                     //
//   http://www.apache.org/licenses/LICENSE-2.0                        //
//                                                                     //
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,   //
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.                                      //
                                                                       //
var isTesting = Meteor.settings && Meteor.settings["public"] && Meteor.settings["public"].isTesting;
                                                                       //
// jscs:disable requireCamelCaseOrUpperCaseIdentifiers                 //
if (isTesting) {                                                       // 21
  if (Meteor.isServer) {                                               // 22
    function clearUser(id) {                                           // 23
      UserActions.remove({ userId: id });                              // 24
      globalDb.removeApiTokens({ userId: id });                        // 25
      Grains.find({ userId: id }).forEach(function (grain) {           // 26
        globalBackend.deleteGrain(grain._id);                          // 27
      });                                                              //
                                                                       //
      Grains.remove({ userId: id });                                   // 30
      Meteor.users.remove({ _id: id });                                // 31
    }                                                                  //
                                                                       //
    Meteor.methods({                                                   // 34
      createMockGithubUser: function () {                              // 35
        Meteor.users.update({ _id: "Py8fwsaryQNGBuiXb" }, { $set: { createdAt: new Date("2014-08-11T21:44:04.147Z"), isAdmin: true, lastActive: new Date("2014-08-19T09:58:39.676Z"), profile: { name: "Github User" }, services: { github: { accessToken: "sometoken", id: 1595880, username: "testuser" }, resume: { loginTokens: [{ when: new Date("2099-08-13T05:16:02.356Z"), hashedToken: "GriUSDp+uN/K4HptwSl1wsdWfHEpS8c9KjjdqwKNo0k=" }] } }, signupKey: "admin" } }, { upsert: true });
      },                                                               //
                                                                       //
      clearMockGithubUser: function () {                               // 41
        clearUser("Py8fwsaryQNGBuiXb");                                // 42
      },                                                               //
                                                                       //
      createMockGoogleUser: function () {                              // 45
        Meteor.users.update({ _id: "6WJcRo2gg2Ysuxsok" }, { $set: { createdAt: new Date("2014-08-21T07:52:55.581Z"), profile: { name: "Google User" }, services: { google: { accessToken: "sometoken", expiresAt: 4562182723000, id: "116893057283177439912", verified_email: true, name: "Google User", given_name: "Google", family_name: "User", picture: "https://lh3.googleusercontent.com/-XdUIqdMkCWA/AAAAAAAAAAI/AAAAAAAAAAA/4252rscbv5M/photo.jpg", locale: "en", gender: "male" }, resume: { loginTokens: [{ when: new Date("2099-08-21T07:52:55.592Z"), hashedToken: "cbJGxLGKW3f0j7Ehit77hdK58W7xuPjzZhGHgKhyddo=" }] } }, signupKey: "admin" } }, { upsert: true });
      },                                                               //
                                                                       //
      clearMockGoogleUser: function () {                               // 51
        clearUser("6WJcRo2gg2Ysuxsok");                                // 52
      }                                                                //
    });                                                                //
  }                                                                    //
                                                                       //
  mockLoginGithub = function () {                                      // 57
    Meteor.call("createMockGithubUser", function (err) {               // 58
      if (err) {                                                       // 59
        console.log(err);                                              // 60
      }                                                                //
                                                                       //
      window.localStorage.setItem("Meteor.loginToken", "F0S6luPxIJV--y_GAkBKOMuWMYnnqgG3UMv9M-DIs2f");
      window.localStorage.setItem("Meteor.loginTokenExpires", "Mon Nov 10 2099 21:16:02 GMT-0800 (PST)");
      window.localStorage.setItem("Meteor.userId", "Py8fwsaryQNGBuiXb");
      window.location.reload();                                        // 66
    });                                                                //
  };                                                                   //
                                                                       //
  clearMockGithubUser = function () {                                  // 70
    Meteor.call("clearMockGithubUser", function (err) {                // 71
      if (err) {                                                       // 72
        console.log(err);                                              // 73
      }                                                                //
    });                                                                //
  };                                                                   //
                                                                       //
  mockLoginGoogle = function () {                                      // 78
    Meteor.call("createMockGoogleUser", function (err) {               // 79
      if (err) {                                                       // 80
        console.log(err);                                              // 81
      }                                                                //
                                                                       //
      window.localStorage.setItem("Meteor.loginToken", "P3ffUfVJtptyVX2IPUfNDZY0F3b-GIZ-WQf7w3GdL21");
      window.localStorage.setItem("Meteor.loginTokenExpires", "Tue Nov 18 2099 23:52:55 GMT-0800 (PST)");
      window.localStorage.setItem("Meteor.userId", "6WJcRo2gg2Ysuxsok");
      window.location.reload();                                        // 87
    });                                                                //
  };                                                                   //
                                                                       //
  clearMockGoogleUser = function () {                                  // 91
    Meteor.call("clearMockGoogleUser", function (err) {                // 92
      if (err) {                                                       // 93
        console.log(err);                                              // 94
      }                                                                //
    });                                                                //
  };                                                                   //
}                                                                      //
/////////////////////////////////////////////////////////////////////////

}).call(this);

//# sourceMappingURL=testing.js.map
